Observation Instance
Get a list of Observation objects.
### Available end points:
- `/observations/` - Will list all Results in the database
- `/observations.json` - Will return all Results in json format. This can
also be achieved by using the accept header. `application/json`
- `/observations/<object_id>/` - Returns Results object with that id
### Available Methods:
- `GET`
- `HEAD`
### Available filters:
- `title`
- `uuid`
- `keywords`
- `status`
- `result_field`
- `discoveryKeywords`
- `updateFrequency`
- `nonGeographicFlag`
- `publicationState`
- `permissions`
### How to use filters:
These filters can be used like django query filters using __ for related model relationships.
- `/observations/?uuid=d594d53df2612bbd89c2e0e770b5c1a0`
- `/observations/?status=completed`
- `/observations/?results_field__dataPath__startswith=/neodc/esacci`
- `/observations/?discoveryKeywords__name=ESACCI`
- `/observations/?nonGeographicFlag=True`
Filters can be stacked to build an 'AND' relationship. E.g.
- `/observations/?publicationState__in=published,citable&nonGeographicFlag=True`
- `/observations/?publicationState__in=published,citable&discoveryKeyword__name=NDGO0003`
GET /api/v2/observations/2655/?format=api
{ "ob_id": 2655, "uuid": "3b36823c88aacb87ecad2f4e82193899", "title": "MSG: Volcanic ash product imagery over Central Africa", "abstract": "The Meteosat Second Generation (MSG) satellites, operated by EUMETSAT (The European Organisation for the Exploitation of Meteorological Satellites), provide almost continuous imagery to meteorologists and researchers in Europe and around the world. These include visible, infra-red, water vapour, High Resolution Visible (HRV) images and derived cloud top height, cloud top temperature, fog, snow detection and volcanic ash products. These images are available for a range of geographical areas. \r\n\r\nThis dataset contains volcanic ash product images from MSG satellites over Central Africa. Imagery available from March 2005 onwards at a frequency of 15 minutes (some are hourly) and are at least 24 hours old.\n\nThe geographic extent for images within this datasets is available via the linked documentation 'MSG satellite imagery product geographic area details'. Each MSG imagery product area can be referenced from the third and fourth character of the image product name giving in the filename. E.g. for EEAO11 the corresponding geographic details can be found under the entry for area code 'AO' (i.e West Africa).\n", "keywords": "MSG, Ash, volcanic, images, Africa, satellite", "publicationState": "published", "dataPublishedTime": "2007-02-20T16:59:59", "doiPublishedTime": null, "updateFrequency": "daily", "status": "ongoing", "result_field": { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/2656/?format=api", "dataPath": "/badc/msg/data/hritimages/EAAM11", "oldDataPath": [], "storageLocation": "internal", "storageStatus": "online", "volume": 138151903149, "numberOfFiles": 168705, "fileFormat": "Images are GIF formatted" }, "timePeriod": "https://api.catalogue.ceda.ac.uk/api/v2/times/3853/?format=api", "geographicExtent": "https://api.catalogue.ceda.ac.uk/api/v2/bboxes/2916/?format=api", "nonGeographicFlag": false, "phenomena": [ "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/23071/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/25843/?format=api" ], "dataLineage": "Data obtained by satellite from March 2005, prepared by the Met Office and stored in the BADC archive.", "removedDataTime": null, "removedDataReason": "", "language": "English", "identifier_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/identifiers/1855/?format=api" ], "projects": [ "https://api.catalogue.ceda.ac.uk/api/v2/projects/11161/?format=api" ], "observationcollection_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/observationcollections/2645/?format=api" ], "responsiblepartyinfo_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/rpis/12270/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/12264/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/12265/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/12263/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/12266/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/149327/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/12267/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/12268/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/12269/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/168999/?format=api" ], "procedureAcquisition": null, "procedureCompositeProcess": "https://api.catalogue.ceda.ac.uk/api/v2/composites/14588/?format=api", "procedureComputation": null, "permissions": [ { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/2545/?format=api", "useLimitation": null, "accessConstraints": null, "accessCategory": "restricted", "accessRoles": "msg", "label": "restricted: msg group", "licenceURL": "https://artefacts.ceda.ac.uk/licences/specific_licences/msg.pdf", "licenceClassifications": "academic" } ], "discoveryKeywords": [ { "ob_id": 1138, "name": "NDGO0003" } ] }